View Issue Details

IDProjectCategoryView StatusLast Update
0006110Kali Linux[All Projects] Kali Package Bugpublic2020-02-20 08:15
ReporterLeeRock Assigned Tosbrun  
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version2020.1 
Target VersionFixed in Version 
Summary0006110: MSF crashes after latest update
Description[i] Database already started
[i] The database appears to be already configured, skipping initialization
[*] Bundler failed to load and returned this error:

   'cannot load such file -- bundler/setup'

[*] You may need to uninstall or upgrade bundler
Additional Informationroot@kali:~# echo $GEM_PATH
<blank>

root@kali:~# gem env
RubyGems Environment:
  - RUBYGEMS VERSION: 2.7.6.2
  - RUBY VERSION: 2.5.7 (2019-10-01 patchlevel 206) [x86_64-linux-gnu]
  - INSTALLATION DIRECTORY: /var/lib/gems/2.5.0
  - USER INSTALLATION DIRECTORY: /root/.gem/ruby/2.5.0
  - RUBY EXECUTABLE: /usr/bin/ruby2.5
  - EXECUTABLE DIRECTORY: /usr/local/bin
  - SPEC CACHE DIRECTORY: /root/.gem/specs
  - SYSTEM CONFIGURATION DIRECTORY: /etc
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86_64-linux
  - GEM PATHS:
     - /var/lib/gems/2.5.0
     - /root/.gem/ruby/2.5.0
     - /usr/lib/ruby/gems/2.5.0
     - /usr/share/rubygems-integration/2.5.0
     - /usr/share/rubygems-integration/all
     - /usr/lib/x86_64-linux-gnu/rubygems-integration/2.5.0
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :backtrace => false
     - :bulk_threshold => 1000
  - REMOTE SOURCES:
     - https://rubygems.org/
  - SHELL PATH:
     - /usr/local/sbin
     - /usr/local/bin
     - /usr/sbin
     - /usr/bin
     - /sbin
     - /bin

Relationships

has duplicate 0006115 resolvedsbrun metasploit bug 

Activities

LeeRock

2020-02-17 21:54

reporter   ~0012292

root@kali:~# ruby -v
ruby 2.5.7p206 (2019-10-01 revision 67816) [x86_64-linux-gnu]

root@kali:~# bundle -v
Bundler version 2.1.4

LeeRock

2020-02-17 22:51

reporter   ~0012293

root@kali:/usr/share/metasploit-framework# gem install bundler
Successfully installed bundler-2.1.4
Parsing documentation for bundler-2.1.4
Done installing documentation for bundler after 2 seconds
1 gem installed

root@kali:/usr/share/metasploit-framework# bundle install
Traceback (most recent call last):
    2: from /usr/bin/bundle:23:in `<main>'
    1: from /usr/lib/ruby/2.5.0/rubygems.rb:303:in `activate_bin_path'
/usr/lib/ruby/2.5.0/rubygems.rb:284:in `find_spec_for_exe': Could not find 'bundler' (1.17.3) required by your /usr/share/metasploit-framework/Gemfile.lock. (Gem::GemNotFoundException)
To update to the latest version installed on your system, run `bundle update --bundler`.
To install the missing version, run `gem install bundler:1.17.3`

root@kali:/usr/share/metasploit-framework# bundle update --bundler
Using rake 13.0.1
Using Ascii85 1.0.3
Using concurrent-ruby 1.0.5
Using i18n 0.9.5
Using minitest 5.14.0
Using thread_safe 0.3.6
Using tzinfo 1.2.6
Using activesupport 4.2.11.1
Using builder 3.2.4
Using erubis 2.7.0
Using mini_portile2 2.4.0
Using nokogiri 1.10.7
Using rails-deprecated_sanitizer 1.0.3
Using rails-dom-testing 1.0.9
Using crass 1.0.6
Using loofah 2.4.0
Using rails-html-sanitizer 1.3.0
Using actionview 4.2.11.1
Using rack 1.6.12
Using rack-test 0.6.3
Using actionpack 4.2.11.1
Using globalid 0.4.2
Using activejob 4.2.11.1
Using mini_mime 1.0.2
Using mail 2.7.1
Using actionmailer 4.2.11.1
Using activemodel 4.2.11.1
Using arel 6.0.4
Using activerecord 4.2.11.1
Using public_suffix 4.0.3
Using addressable 2.7.0
Using afm 0.2.2
Using arel-helpers 2.11.0
Using aws-eventstream 1.0.3
Using aws-partitions 1.273.0
Using aws-sigv4 1.1.0
Using jmespath 1.4.0
Using aws-sdk-core 3.90.0
Using aws-sdk-ec2 1.142.0
Using aws-sdk-iam 1.33.0
Using aws-sdk-kms 1.29.0
Using aws-sdk-s3 1.60.2
Using bcrypt 3.1.12
Using bcrypt_pbkdf 1.0.1
Using bindata 2.4.4
Using bit-struct 0.16
Using bundler 2.1.4
Using cookiejar 0.3.3
Using daemons 1.3.1
Using diff-lcs 1.3
Using dnsruby 1.61.3
Using docile 1.3.2
Using ed25519 1.2.4
Using eventmachine 1.2.7
Using em-socksify 0.3.2
Using http_parser.rb 0.6.0
Using em-http-request 1.1.5
Using faker 2.2.1
Using multipart-post 2.1.1
Using faraday 0.17.0
Using websocket-extensions 0.1.4
Using websocket-driver 0.7.1
Using faye-websocket 0.10.9
Using filesize 0.2.0
Using hashery 2.1.2
Using rkelly-remix 0.0.7
Using jsobfu 0.4.2
Using json 2.3.0
Using metasm 1.0.4
Using thor 1.0.1
Using railties 4.2.11.1
Using metasploit-concern 2.0.5
Using metasploit-model 2.0.4
Using pg 0.21.0
Using pg_array_parser 0.0.9
Using postgres_ext 3.0.1
Using recog 2.3.6
Using metasploit_data_models 3.0.10
Using net-ssh 5.2.0
Using rex-core 0.1.13
Using rex-socket 0.1.21
Using rubyntlm 0.6.2
Using rubyzip 2.2.0
Using metasploit-credential 3.0.4
Using metasploit-payloads 1.3.84
Using metasploit_payloads-mettle 0.5.16
Using mqtt 0.5.0
Using msgpack 1.3.3
Using nessus_rest 0.1.6
Using network_interface 0.0.2
Using nexpose 7.2.1
Using sawyer 0.8.2
Using octokit 4.16.0
Using openssl-ccm 1.2.2
Using openvas-omp 0.0.4
Using pcaprub 0.13.0
Using packetfu 1.1.13
Using patch_finder 1.0.2
Using ruby-rc4 0.1.5
Using ttfunk 1.6.2
Using pdf-reader 2.4.0
Using sprockets 4.0.0
Using sprockets-rails 3.2.1
Using rails 4.2.11.1
Using rb-readline 0.5.5
Using redcarpet 3.5.0
Using rex-text 0.2.24
Using rex-arch 0.1.13
Using rex-struct2 0.1.2
Using rex-bin_tools 0.1.6
Using rex-encoder 0.1.4
Using rex-exploitation 0.1.22
Using rex-java 0.1.5
Using rex-mime 0.1.5
Using rex-nop 0.1.1
Using rex-ole 0.1.6
Using rex-random_identifier 0.1.4
Using rex-powershell 0.1.84
Using rex-registry 0.1.3
Using rex-rop_builder 0.1.3
Using rex-sslscan 0.1.5
Using rex-zip 0.1.3
Using rspec-support 3.9.2
Using rspec-core 3.9.1
Using rspec-expectations 3.9.0
Using rspec-mocks 3.9.1
Using rspec 3.9.0
Using rspec-rerun 1.1.0
Using ruby-macho 2.2.0
Using windows_error 0.1.2
Using ruby_smb 1.1.0
Using rack-protection 1.5.5
Using tilt 2.0.10
Using sinatra 1.4.8
Using sqlite3 1.3.13
Using sshkey 2.0.0
Using thin 1.7.2
Using tzinfo-data 1.2019.3
Using warden 1.2.7
Using xdr 2.0.0
Using xmlrpc 0.3.0
Using metasploit-framework 5.0.74 from source at `.`
Using simplecov-html 0.11.0
Using simplecov 0.18.1
Bundle updated!
Gems in the groups development and test were not updated.

root@kali:/usr/share/metasploit-framework# msfconsole
[i] Database already started
[i] The database appears to be already configured, skipping initialization
[*] Bundler failed to load and returned this error:

   'cannot load such file -- bundler/setup'

[*] You may need to uninstall or upgrade bundler

LeeRock

2020-02-17 22:54

reporter   ~0012294

*** FIXED ***

root@kali:/usr/share/metasploit-framework# gem install bundler:1.17.3
Fetching: bundler-1.17.3.gem (100%)
Successfully installed bundler-1.17.3
Parsing documentation for bundler-1.17.3
Installing ri documentation for bundler-1.17.3
Done installing documentation for bundler after 3 seconds
1 gem installed
root@kali:/usr/share/metasploit-framework# m
[i] Database already started
[i] The database appears to be already configured, skipping initialization
                                                  
# cowsay++
 ____________
< metasploit >
 ------------
       \ ,__,
        \ (oo)____
           (__) )\
              ||--|| *


       =[ metasploit v5.0.74-dev ]
+ -- --=[ 1969 exploits - 1088 auxiliary - 338 post ]
+ -- --=[ 558 payloads - 45 encoders - 10 nops ]
+ -- --=[ 7 evasion ]

msf5 >

sbrun

2020-02-18 10:04

manager   ~0012299

fixed in version 5.0.74-0kali2

Issue History

Date Modified Username Field Change
2020-02-17 21:36 LeeRock New Issue
2020-02-17 21:54 LeeRock Note Added: 0012292
2020-02-17 22:51 LeeRock Note Added: 0012293
2020-02-17 22:54 LeeRock Note Added: 0012294
2020-02-18 08:03 sbrun Assigned To => sbrun
2020-02-18 08:03 sbrun Status new => assigned
2020-02-18 08:03 sbrun Status assigned => confirmed
2020-02-18 10:04 sbrun Status confirmed => resolved
2020-02-18 10:04 sbrun Resolution open => fixed
2020-02-18 10:04 sbrun Note Added: 0012299
2020-02-20 08:15 sbrun Relationship added has duplicate 0006115